import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { provinceGetGuildsService } from "./province-get-guilds";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceChainsSubmitAllocation = createAsyncThunk(
  "PROVINCE_CREATE_ALLOCATION",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.post("chain-allocation/", {
        ...d,
        role: getRoleFromUrl(),
      });
      dispatch(provinceGetGuildsService());
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
